Package org.codehaus.groovy.syntax

# Class RuntimeParserException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
groovy.lang.GroovyRuntimeException
org.codehaus.groovy.syntax.RuntimeParserException

All Implemented Interfaces:
  `Serializable`

public class RuntimeParserException extends GroovyRuntimeException
A helper class to allow parser exceptions to be thrown anywhere in the code. Should be replaced when no longer required.

Author:
  James Strachan
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RuntimeParserException(String message, ASTNode node)`

## Method Summary

Modifier and Type
Method
Description
`void`
`throwParserException()`

### Methods inherited from class groovy.lang.GroovyRuntimeException

`getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RuntimeParserException

public RuntimeParserException(String message, ASTNode node)

## Method Details

### throwParserException

public void throwParserException() throws SyntaxException

Throws:
  `SyntaxException`